flatzinc.hh File Reference
`#include <iostream>`
`#include <gecode/kernel.hh>`
`#include <gecode/int.hh>`
`#include <gecode/set.hh>`
`#include <gecode/float.hh>`
`#include <map>`
`#include <gecode/support/auto-link.hpp>`
`#include <gecode/driver.hh>`
`#include <gecode/flatzinc/conexpr.hh>`
`#include <gecode/flatzinc/ast.hh>`
`#include <gecode/flatzinc/varspec.hh>`

Go to the source code of this file.

## Classes

class | Gecode::FlatZinc::Printer
| Output support class for FlatZinc interpreter. More...
class | Gecode::FlatZinc::FlatZincOptions
| Options for running FlatZinc models More...
class | Gecode::FlatZinc::BranchInformation
class | Gecode::FlatZinc::FlatZincSpace
| A space that can be initialized with a FlatZinc model. More...
class | Gecode::FlatZinc::Error
| Exception class for FlatZinc errors More...

## Namespaces

namespace | Gecode::FlatZinc
| Interpreter for the FlatZinc language.
namespace | Gecode
| Gecode toplevel namespace

## Macros

#define | GECODE_FLATZINC_EXPORT
#define | GECODE_LIBRARY_NAME "FlatZinc"

## Functions

GECODE_FLATZINC_EXPORT FlatZincSpace * | Gecode::FlatZinc::parse (const std::string &fileName, Printer &p, std::ostream &err=std::cerr, FlatZincSpace *fzs=NULL, Rnd &rnd=defrnd)
| Parse FlatZinc file fileName into fzs and return it.
GECODE_FLATZINC_EXPORT FlatZincSpace * | Gecode::FlatZinc::parse (std::istream &is, Printer &p, std::ostream &err=std::cerr, FlatZincSpace *fzs=NULL, Rnd &rnd=defrnd)
| Parse FlatZinc from is into fzs and return it.

## Variables

GECODE_FLATZINC_EXPORT Rnd | Gecode::FlatZinc::defrnd
| Uninitialized default random number generator.

## Macro Definition Documentation

## GECODE_FLATZINC_EXPORT

#define GECODE_FLATZINC_EXPORT

Definition at line 75 of file flatzinc.hh.

## GECODE_LIBRARY_NAME

#define GECODE_LIBRARY_NAME "FlatZinc"

Definition at line 82 of file flatzinc.hh.